Loading...
Searching...
No Matches
kumem_alloc File Reference

Kumem allocator helper. More...

`#include <l4/re/env>`
Include dependency graph for kumem_alloc:

Go to the source code of this file.

## Namespaces

namespace | L4Re
| L4Re C++ Interfaces.
namespace | L4Re::Util
| Documentation of the L4 Runtime Environment utility functionality in C++.

## Functions

int | L4Re::Util::kumem_alloc (l4_addr_t *mem, unsigned pages_order, L4::Cap< L4::Task > task=L4Re::Env::env() ->task(), L4::Cap< L4Re::Rm > rm=L4Re::Env::env() ->rm()) noexcept
| Allocate state area.

## Detailed Description

Kumem allocator helper.

Definition in file kumem_alloc.